Skip to content

Retrieve multi currency account eligibility

Request

Checks eligibility for a multi-currency account for either a specific profile or for a location. Customers in some countries and states/provinces may not be eligible for a multi currency account.

To check a profile, pass the profileId as a query parameter.

To check a specific location, pass the country using 2-letter ISO 3166 codes. If the country is US, a valid 2-letter state parameter must also be passed.

  • Example (France): /v4/multi-currency-account/eligibility?country=FR
  • Example (USA, California): /v4/multi-currency-account/eligibility?country=US&state=CA
Security
UserToken
Query
profileIdinteger, (int64)

Profile ID to check eligibility for.

countrystring

2-letter ISO 3166 country code to check eligibility for.

Example:country=FR
statestring

2-letter state/province code. Required when country is US.

Example:state=CA
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  'https://api.wise.com/2026Q3/multi-currency-account/eligibility?profileId=0&country=FR&state=CA' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

Eligibility result.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
eligibleboolean

Whether the profile is eligible for a multi currency account.

Example:true
eligibilityCodestring

Eligibility status code.

Enum:"eligible""invalid.profile.type""invalid.country""invalid.state"
Example:"eligible"
accountTypestring

Account type available.

Enum:"FULL""RECEIVE_ONLY""INELIGIBLE"
Example:"FULL"
ineligibilityReasonstring or null

Reason the profile is not eligible.

Example:null
Response
{ "eligible": true, "eligibilityCode": "eligible", "accountType": "FULL", "ineligibilityReason": null }